Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 928492

Summary: x11-misc/spacefm-1.0.6-r2 fails to compile: exo-icon-view.c:2686:27: error: assignment to GdkWindow {aka struct _GdkWindow } from incompatible pointer type GObject {aka struct _GObject } [-Wincompatible-pointer-types]
Product: Gentoo Linux Reporter: Agostino Sarubbo <ago>
Component: Current packagesAssignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it <maintainer-needed>
Status: RESOLVED FIXED    
Severity: normal Keywords: PullRequest
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/36348
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 870412    
Attachments: build.log

Description Agostino Sarubbo gentoo-dev 2024-04-03 07:36:26 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: x11-misc/spacefm-1.0.6-r2 fails to compile.
Discovered on: x86 (internal ref: tinderbox_x86)
System: GCC-14-SYSTEM (https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#GCC-14)

Info about the issue:
https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#CF0003
Comment 1 Agostino Sarubbo gentoo-dev 2024-04-03 07:36:28 UTC
Created attachment 889344 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2024-06-02 08:13:32 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a82c6759b0c0ed31e4fbc9e2cf384820849e8023

commit a82c6759b0c0ed31e4fbc9e2cf384820849e8023
Author:     Brahmajit Das <brahmajit.xyz@gmail.com>
AuthorDate: 2024-04-21 20:47:16 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2024-06-02 08:13:28 +0000

    x11-misc/spacefm: Fix incompatible pointer type assignment
    
    Closes: https://bugs.gentoo.org/928492
    Signed-off-by: Brahmajit Das <brahmajit.xyz@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/36348
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 .../spacefm/files/spacefm-gcc14-build-fix.patch    | 76 +++++++++++++++++++++
 x11-misc/spacefm/spacefm-1.0.6-r3.ebuild           | 77 ++++++++++++++++++++++
 2 files changed, 153 insertions(+)